summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
Diffstat (limited to 'source')
-rw-r--r--source/ap/lxc/lxc-slackware.in14
-rwxr-xr-xsource/ap/lxc/lxc.SlackBuild32
-rw-r--r--source/k/kernel-configs/config-generic-5.13.8 (renamed from source/k/kernel-configs/config-generic-5.13.7)2
-rw-r--r--source/k/kernel-configs/config-generic-5.13.8.x64 (renamed from source/k/kernel-configs/config-generic-5.13.7.x64)2
-rw-r--r--source/k/kernel-configs/config-generic-smp-5.13.8-smp (renamed from source/k/kernel-configs/config-generic-smp-5.13.7-smp)2
-rw-r--r--source/k/kernel-configs/config-huge-5.13.8 (renamed from source/k/kernel-configs/config-huge-5.13.7)2
-rw-r--r--source/k/kernel-configs/config-huge-5.13.8.x64 (renamed from source/k/kernel-configs/config-huge-5.13.7.x64)2
-rw-r--r--source/k/kernel-configs/config-huge-smp-5.13.8-smp (renamed from source/k/kernel-configs/config-huge-smp-5.13.7-smp)2
-rwxr-xr-xsource/n/vsftpd/vsftpd.SlackBuild20
9 files changed, 44 insertions, 34 deletions
diff --git a/source/ap/lxc/lxc-slackware.in b/source/ap/lxc/lxc-slackware.in
index 545ea734b..07591cbb8 100644
--- a/source/ap/lxc/lxc-slackware.in
+++ b/source/ap/lxc/lxc-slackware.in
@@ -5,6 +5,7 @@
# Authors:
# Daniel Lezcano <daniel.lezcano@free.fr>
+# Updated to work with LXC 4.0.x by Matthew Chamley <mcgchamley@yahoo.co.uk>
# Template for slackware by Matteo Bernardini <ponce@slackbuilds.org>
# some parts are taken from the debian one (used as model)
@@ -347,13 +348,16 @@ name=$3
cat <<EOF >> $path/config
-lxc.utsname = $name
+# Adding a . for LXC 4.0.x
+lxc.uts.name = $name
-lxc.mount = $rootfs/etc/fstab
+# Adding .fstab for LXC 4.0.x
+lxc.mount.fstab = $rootfs/etc/fstab
-lxc.tty = 4
-lxc.pts = 1024
-lxc.rootfs = $rootfs
+# Added .max and .path for LXC 4.0.x
+lxc.tty.max = 4
+lxc.pty.max = 1024
+lxc.rootfs.path = $rootfs
lxc.cgroup.devices.deny = a
# /dev/null and zero
diff --git a/source/ap/lxc/lxc.SlackBuild b/source/ap/lxc/lxc.SlackBuild
index e674fe362..d17479520 100755
--- a/source/ap/lxc/lxc.SlackBuild
+++ b/source/ap/lxc/lxc.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2011, 2012, 2013, 2014, 2015, 2016, 2017, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2011, 2012, 2013, 2014, 2015, 2016, 2017, 2018, 2021 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,12 +21,13 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# Modified by Matteo Bernardini <ponce@slackbuilds.org> (2014)
+# Modified for LXC 4.0.x by Matthew Chamley <mcgchamley@yahoo.co.uk> (2021)
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=lxc
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | rev | cut -f 2- -d -)}
-BUILD=${BUILD:-8}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -80,19 +81,18 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-# Add the template file:
-cat $CWD/lxc-slackware.in > templates/lxc-slackware.in
-
# Our python package is not split:
-sed -i "s|PKG_CHECK_MODULES(\[PYTHONDEV.*||" configure.ac || exit 1
+#sed -i "s|PKG_CHECK_MODULES(\[PYTHONDEV.*||" configure.ac || exit 1
if [ ! -r configure ]; then
NOCONFIGURE=1 ./autogen.sh
fi
-# Enable python stuff only if python3 is installed
+# Enable python stuff only if python3 is installed.
python=""
-[ -x /usr/bin/python3 ] && export PYTHON=/usr/bin/python3 && python="--enable-python"
+# Python bindings don't seem to be part of the standard package at this time,
+# so we'll comment this next line out for now:
+#[ -x /usr/bin/python3 ] && export PYTHON=/usr/bin/python3 && python="--enable-python"
# Configure:
# lua is autodetected
@@ -107,11 +107,11 @@ CFLAGS="$SLKCFLAGS" \
--infodir=/usr/info \
--with-global-conf=/etc/lxc/lxc.conf \
--with-rootfs-path=/var/lib/rootfs-lxc \
- --enable-cgmanager=no \
--disable-werror \
--disable-apparmor \
--disable-static \
$python \
+ --enable-pam \
--build=$ARCH-slackware-linux || exit 1
# Build and install:
@@ -121,6 +121,10 @@ make install DESTDIR=$PKG || exit 1
# Don't ship .la files:
rm -f $PKG/usr/lib${LIBDIRSUFFIX}/*.la
+# Add the template file:
+cat $CWD/lxc-slackware.in > $PKG/usr/share/lxc/templates/lxc-slackware
+chmod 755 $PKG/usr/share/lxc/templates/lxc-slackware
+
# Add the modified Slackware startup scripts:
mkdir -p $PKG/usr/share/lxc/scripts/slackware
cp -a $CWD/scripts/*.lxc $PKG/usr/share/lxc/scripts/slackware
@@ -128,7 +132,7 @@ chown root:root $PKG/usr/share/lxc/scripts/slackware/*
chmod 644 $PKG/usr/share/lxc/scripts/slackware/*
# Make the default configuration directories and an empty rootfs folder:
-mkdir -p $PKG/var/lib/lxc $PKG/etc/lxc $PKG/var/lib/rootfs-lxc
+mkdir -p $PKG/var/lib/lxc $PKG/etc/lxc $PKG/var/lib/rootfs-lxc $PKG/var/lib/misc
# Create a sample default configuration file:
echo "lxcpath = /var/lib/lxc" > $PKG/etc/lxc/lxc.conf.sample
@@ -145,8 +149,6 @@ mkdir -p $PKG/usr/share/bash-completion/completions/
mv $PKG/etc/bash_completion.d/lxc \
$PKG/usr/share/bash-completion/completions/lxc
rmdir --parents $PKG/etc/bash_completion.d 2>/dev/null
-# Replace illegal characters in the bash completion file:
-sed -i "s/lxc-generic-/lxc_generic_/g" $PKG/usr/share/bash-completion/completions/lxc
# Strip binaries:
( cd $PKG
@@ -157,7 +159,7 @@ sed -i "s/lxc-generic-/lxc_generic_/g" $PKG/usr/share/bash-completion/completion
# Add a documentation directory:
mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
cp -a \
- AUTHORS CONTRIBUTING COPYING* INSTALL MAINTAINERS NEWS README* TODO \
+ AUTHORS* CONTRIBUTING* COPYING* INSTALL* MAINTAINERS* NEWS* README* TODO* \
doc/FAQ.txt \
$PKG/usr/doc/${PKGNAM}-$VERSION
@@ -191,10 +193,12 @@ if [ -r ChangeLog ]; then
touch -r ChangeLog $DOCSDIR/ChangeLog
fi
+# Remove empty documentation files:
+find $PKG/usr/doc/${PKGNAM}-${VERSION} -size 0 -exec rm "{}" \;
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $TMP/$PKGNAM-$(echo $VERSION | tr - _)-$ARCH-$BUILD.txz
-
diff --git a/source/k/kernel-configs/config-generic-5.13.7 b/source/k/kernel-configs/config-generic-5.13.8
index 8f6012d6f..1f9789890 100644
--- a/source/k/kernel-configs/config-generic-5.13.7
+++ b/source/k/kernel-configs/config-generic-5.13.8
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 5.13.7 Kernel Configuration
+# Linux/x86 5.13.8 Kernel Configuration
#
CONFIG_CC_VERSION_TEXT="gcc (GCC) 10.3.0"
CONFIG_CC_IS_GCC=y
diff --git a/source/k/kernel-configs/config-generic-5.13.7.x64 b/source/k/kernel-configs/config-generic-5.13.8.x64
index a1a473d8b..140df8349 100644
--- a/source/k/kernel-configs/config-generic-5.13.7.x64
+++ b/source/k/kernel-configs/config-generic-5.13.8.x64
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 5.13.7 Kernel Configuration
+# Linux/x86 5.13.8 Kernel Configuration
#
CONFIG_CC_VERSION_TEXT="gcc (GCC) 10.3.0"
CONFIG_CC_IS_GCC=y
diff --git a/source/k/kernel-configs/config-generic-smp-5.13.7-smp b/source/k/kernel-configs/config-generic-smp-5.13.8-smp
index 06b2ba57e..b334179d2 100644
--- a/source/k/kernel-configs/config-generic-smp-5.13.7-smp
+++ b/source/k/kernel-configs/config-generic-smp-5.13.8-smp
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 5.13.7 Kernel Configuration
+# Linux/x86 5.13.8 Kernel Configuration
#
CONFIG_CC_VERSION_TEXT="gcc (GCC) 10.3.0"
CONFIG_CC_IS_GCC=y
diff --git a/source/k/kernel-configs/config-huge-5.13.7 b/source/k/kernel-configs/config-huge-5.13.8
index 123142f89..ab734d3f7 100644
--- a/source/k/kernel-configs/config-huge-5.13.7
+++ b/source/k/kernel-configs/config-huge-5.13.8
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 5.13.7 Kernel Configuration
+# Linux/x86 5.13.8 Kernel Configuration
#
CONFIG_CC_VERSION_TEXT="gcc (GCC) 10.3.0"
CONFIG_CC_IS_GCC=y
diff --git a/source/k/kernel-configs/config-huge-5.13.7.x64 b/source/k/kernel-configs/config-huge-5.13.8.x64
index 95ef5b609..01c7f00ed 100644
--- a/source/k/kernel-configs/config-huge-5.13.7.x64
+++ b/source/k/kernel-configs/config-huge-5.13.8.x64
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 5.13.7 Kernel Configuration
+# Linux/x86 5.13.8 Kernel Configuration
#
CONFIG_CC_VERSION_TEXT="gcc (GCC) 10.3.0"
CONFIG_CC_IS_GCC=y
diff --git a/source/k/kernel-configs/config-huge-smp-5.13.7-smp b/source/k/kernel-configs/config-huge-smp-5.13.8-smp
index c5d1b7461..1dc6f68ab 100644
--- a/source/k/kernel-configs/config-huge-smp-5.13.7-smp
+++ b/source/k/kernel-configs/config-huge-smp-5.13.8-smp
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 5.13.7 Kernel Configuration
+# Linux/x86 5.13.8 Kernel Configuration
#
CONFIG_CC_VERSION_TEXT="gcc (GCC) 10.3.0"
CONFIG_CC_IS_GCC=y
diff --git a/source/n/vsftpd/vsftpd.SlackBuild b/source/n/vsftpd/vsftpd.SlackBuild
index 3403ae178..08da379eb 100755
--- a/source/n/vsftpd/vsftpd.SlackBuild
+++ b/source/n/vsftpd/vsftpd.SlackBuild
@@ -100,17 +100,19 @@ mkdir -p $PKG/home/ftp
mkdir -p $PKG/usr/doc/vsftpd-$VERSION
cp -a \
- AUDIT BENCHMARKS BUGS COPYING* COPYRIGHT EXAMPLE FAQ \
- INSTALL LICENSE README* REFS REWARD SECURITY SIZE SPEED TODO TUNING \
+ AUDIT* BENCHMARKS* BUGS* COPYING* COPYRIGHT* EXAMPLE* FAQ* \
+ INSTALL* LICENSE* README* REFS* REWARD* SECURITY* SIZE* SPEED* TODO* TUNING* \
+ ChangeLog* \
$PKG/usr/doc/vsftpd-$VERSION
-# If there's a ChangeLog, installing at least part of the recent history
-# is useful, but don't let it get totally out of control:
-if [ -r Changelog ]; then
- DOCSDIR=$(echo $PKG/usr/doc/*-$VERSION)
- cat Changelog | head -n 1000 > $DOCSDIR/Changelog
- touch -r Changelog $DOCSDIR/Changelog
-fi
+# The ChangeLog is in reverse order, so don't do this:
+## If there's a ChangeLog, installing at least part of the recent history
+## is useful, but don't let it get totally out of control:
+#if [ -r Changelog ]; then
+# DOCSDIR=$(echo $PKG/usr/doc/*-$VERSION)
+# cat Changelog | head -n 1000 > $DOCSDIR/Changelog
+# touch -r Changelog $DOCSDIR/Changelog
+#fi
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc